
database_type='Jet'
__doc__="""%s Database Connection

$Id: DA.py,v 1.1 2000/02/19 05:22:02 jfarr Exp $""" % database_type
__version__='$Revision: 1.1 $'[11:-2]

from db import DB
from Globals import HTMLFile
import Shared.DC.ZRDB.Connection

default_id='%s_database_connection' % database_type
default_title='Z %s Database Connection' % database_type
database_type=database_type

addConnectionForm = HTMLFile(
    'Shared/DC/ZRDB/connectionAdd',
    default_id=default_id,
    default_title=default_title,
    database_type=database_type,
    )

def addConnection(self, id, title, connection_string, check=None, REQUEST=None):
    """Add a DB connection to a folder."""
    self._setObject(id, Connection(id, title, connection_string, check))
    if REQUEST is not None: return self.manage_main(self, REQUEST)

class Connection(Shared.DC.ZRDB.Connection.Connection):
    """A database connection object."""

    database_type = database_type
    id = default_id
    meta_type = title = default_title
    icon = 'misc_/Z%sDA/conn' % database_type
    _isAnSQLConnection = 1

    def factory(self): return DB

    
