
__doc__="""Jet Database Adapter product initialization"""
__version__='$Revision: 1.1 $'[11:-2]

try:
    import sys, os, Globals, DA
    from ImageFile import ImageFile

    database_type='Jet'

    classes=('DA.Connection',)

    meta_types=(
        {'name':'Z %s Database Connection' % database_type,
         'action':'manage_addZ%sConnectionForm' % database_type,
         },
        )

    methods={
        'manage_addZ%sConnection' % database_type: DA.addConnection,
        'manage_addZ%sConnectionForm' % database_type: DA.addConnectionForm,
        }

    misc_={'conn': ImageFile('Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif'),
          }

    __ac_permissions__=(
        ('Add Z %s Database Connections' % database_type,
         ('manage_addZ%sConnectionForm' % database_type,
          'manage_addZ%sConnection' % database_type)),
        )
    
except:
    import traceback
    traceback.print_exc()

